Returns the Binary's data

- « MongoDB\BSON\Binary::jsonSerialize

- MongoDB\BSON\Decimal128 »

- PHP Manual
- MongoDB\BSON\Binary
- Returns the Binary's data

# MongoDB\BSON\Binary::__toString

(mongodb >=1.2.0)

MongoDB\BSON\Binary::__toString — Returns the Binary's data

### Description

final public MongoDB\BSON\Binary::__toString(): string

This method is an alias of: MongoDB\BSON\Binary::getData().

### Parameters

This function has no parameters.

### Return Values

Returns the Binary's data.

### Examples

Example #1 MongoDB\BSON\Binary::__toString() example

    <?php

    var_dump((string) new MongoDB\BSON\Binary('foo', MongoDB\BSON\Binary::TYPE_GENERIC));

    ?>

The above example will output:

    string(3) "foo"

### See Also

- MongoDB\BSON\Binary::getData() - Returns the Binary's data
- » BSON Types